Skip to main content
`Ctrl`+`K`

# VecReciprocal

Replaces each component of a vector by its reciprocal.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecReciprocal(Vec vec)

Logically Collective

## Input Parameter

- vec - the vector

## Output Parameter

- vec - the vector reciprocal

## Note

Vector entries with value 0.0 are not changed

## See Also

Vectors and Parallel Data, `Vec`, `VecLog()`, `VecExp()`, `VecSqrtAbs()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

## Examples

src/ksp/ksp/tutorials/ex15.c
src/ksp/pc/tutorials/ex4.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/tao/tutorials/ex4.c
src/ksp/ksp/tutorials/ex15f.F90
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/tao/constrained/tutorials/tomographyADMM.c
src/tao/pde_constrained/tutorials/parabolic.c
src/snes/tutorials/ex70.c

## Implementations

VecReciprocal_Nest() in src/vec/vec/impls/nest/vecnest.c
VecReciprocal_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages